Name:          girtod
Version:       0.23.1
Release:       2mamba
Summary:       Create D bindings from GObject introspection files
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/gtkd-developers/gir-to-d
Source:        https://github.com/gtkd-developers/gir-to-d.git/v%{version}/gir-to-d-%{version}.tar.bz2
Patch0:        girtod-0.21.0-gobject-introspection-1.66.patch
Patch1:        girtod-0.22.0-fixsegfault.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libldc-devel
## AUTOBUILDREQ-END
BuildRequires: libldc-devel >= 1.35.0-1mamba
BuildRequires: ldc

%description
Create D bindings from GObject introspection files.

%debug_package

%prep
%setup -q -n gir-to-d-%{version}
#%patch0 -p1
#%patch 1 -p1 -b .fixsegfault

%build
export DC=ldc2
# Instanciate all templates. Fixes:
# undefined reference to `_D6object__T8opEqualsTxC3gtd11GirFunctionQnTxQwZQBkFxQBexQBiZb'
export DFLAGS="--allinst"
  
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/girtod
%doc COPYING

%changelog
* Sun Nov 05 2023 Automatic Build System <autodist@mambasoft.it> 0.23.1-2mamba
- rebuilt by autoport with build requirements: libldc-devel>=1.35.0-1mamba

* Mon May 29 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.23.1-1mamba
- update to 0.23.1

* Mon May 29 2023 Sdk Build System <sdk@mambasoft.it> 0.22.0-4mamba
- rebuilt by autoport with build requirements: libldc-devel>=0:1.32.2-1mamba

* Mon Mar 13 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.22.0-3mamba
- rebuilt with ldc 1.31.0

* Mon May 02 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.22.0-2mamba
- rebuilt with ldc 1.29.0

* Thu Oct 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.22.0-1mamba
- update to 0.22.0

* Thu Oct 22 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.21.0-3mamba
- rebuilt with ldc 1.23.0
- adde dpatch to fix glibd build with gobject-introspection 1.66 (https://github.com/gtkd-developers/GlibD/issues/10)

* Wed May 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.21.0-2mamba
- rebuilt with libldc 1.21.0

* Wed May 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.21.0-1mamba
- update to 0.21.0

* Sat Jul 13 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.19.1-1mamba
- package created using the webbuild interface
